<div class="login-box">
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <h1>{{title}}</h1>
    </div>
    <div class="card-body">
      <p class="login-box-msg">¿Olvidaste tu contraseña? Aquí puede recuperarla fácilmente.</p>
      <p *ngIf="errorMessage" class="text-danger login-box-msg">{{errorMessage}}</p>
      <form role="form" [formGroup]="formRecuperar" autocomplete="off">
        <div class="input-group" [ngClass]="{'mb-3': !hasError('email')}">
          <input type="email" class="form-control" (keyup)="limpiarErrores('email')" formControlName="email" [ngClass]="{'is-valid': formRecuperar.controls['email'].valid, 'is-invalid': hasError('email') || hasError('email', 'email')}" placeholder="Correo electrónico">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('email')" class="mb-3">
          <span *ngFor="let errorEmail of errores.email" class="text-danger">{{errorEmail}}</span>
        </div>
        <div class="row">
          <div class="col-12">
            <button type="submit" class="btn btn-primary btn-block" [disabled]="loading" (click)="onSubmit()"><i *ngIf="loading" class="fas fa-spinner fa-pulse"></i> Cambio de contraseña</button>
          </div>
        </div>
      </form>
      <div class="row mt-3 mb-1">
        <div class="col-6">
          <a routerLink="/login">Iniciar sesion</a>
        </div>
        <div class="col-6 d-flex justify-content-end">
          <a routerLink="/recovery">Ingresar codigo</a>
        </div>
      </div>
    </div>
  </div>
</div>
